FROM ubuntu:18.04 AS BUILDER

RUN echo "<!DOCTYPE html><html><head><title>Hello Docker!</title></head><body><h1>Hallo aus dem Multi-Stage Docker Container!</h1></body></html>" > /tmp/index.html

FROM alpine:3

RUN apk add apache2

# Add default page
COPY --from=BUILDER /tmp/index.html /var/www/html/index.html

# Verify Apache was successfully started
HEALTHCHECK CMD curl --fail http://localhost/ || exit 1

# Expose Apache's port
EXPOSE 80

#Define run command
CMD ["apache2ctl", "-D", "FOREGROUND"]